Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::action::adjacent_remove_if_fn::ConceptImpl Struct Reference

## Public Member Functions
template<typename R , typename Pred , typename Proj = ident, typename I = iterator_t<R>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< concepts::ForwardRange, R >(), concepts::model_of< concepts::ErasableRange, R, I, I >(), concepts::is_true(IndirectRelation< Pred, projected< I, Proj >>()), concepts::is_true(Permutable< I >())))